from setuptools import setup

setup(
    name="txtpy",
    packages=[
        "txtpy",
        "txtpy.advanced",
        "txtpy.core",
        "txtpy.compose",
        "txtpy.convert",
        "txtpy.search",
        "txtpy.writing",
    ],
    install_requires=[
        "markdown",
        "ipython",
        "requests",
        "pygithub>=1.47",
        "pyyaml>=5.3",
    ],
    python_requires=">=3.7.0",
    include_package_data=False,
    zip_safe=False,
    version='1.0.0',
    description="""Processor Text Fabric Data""",
    author="Dirk Roorda",
    author_email="dirk.roorda@dans.knaw.nl",
    url="https://github.com/annotation/txtpy",
    keywords=[
        "text",
        "linguistics",
        "database",
        "graph",
        "hebrew",
        "bible",
        "peshitta",
        "quran",
        "cuneiform",
        "uruk",
        "greek",
        "syriac",
        "akkadian",
        "babylonian",
    ],
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: Other Environment",
        "Framework :: Jupyter",
        "Intended Audience :: Developers",
        "Intended Audience :: Education",
        "Intended Audience :: Religion",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: MIT License",
        "Natural Language :: English",
        "Natural Language :: Hebrew",
        "Natural Language :: Greek",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows :: Windows 10",
        "Operating System :: POSIX :: Linux",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: Implementation :: CPython",
        "Programming Language :: JavaScript",
        "Topic :: Religion",
        "Topic :: Scientific/Engineering :: Information Analysis",
        "Topic :: Sociology :: History",
        "Topic :: Text Processing :: Filters",
        "Topic :: Text Processing :: Linguistic",
        "Topic :: Text Processing :: Markup",
    ],
    long_description="""\
Tools to read text corpora with (linguistic) annotations
and process them efficiently.
More info on https://annotation.github.io/txtpy/txtpy
""",
)
